zeligDepStatus {Zelig} | R Documentation

## Zelig Dependencies Packages Client Status

### Description

Compares Zelig-matrix of dependencies to the locally installed packages. Finds those packages that Zelig depends on and are not installed in local environment. Also finds those packages that are locally installed but with lower versions than those required in the dependencies matrix. The Zelig-matrix includes any of dependency fields in the ‘DESCRIPTION’ files, i.e. depends, imports and suggests, for any packages directly derived from Zelig and for any of the models that Zelig supports.

### Usage

    zeligDepStatus(lib.loc = NULL)

### Arguments

`lib.loc` | a character vector of directory names of `R` libraries, or NULL. The default value NULL corresponds to all libraries currently known. If the default is used, the loaded packages are searched before the libraries.

### Value

Returns a matrix of packages that are either installed locally with lower versions, or packages not installed but listed in the Zelig-matrix of dependencies. The matrix rows correspond to the packages and the columns contain the following fields

`Package` | names of packages.
`Version` | versions locally installed
`Zideal` | versions required in Zelig-matrix of dependencies.

### Note

If the R version in the local environment is different from the R version that Zelig depends on, then, it is reported with a message and no futher action is taken. If the installed packages have versions higher than the corresponding values in the Zelig-matrix, it is reported with a message.

### Author(s)

Ferdinand Alimadhi and Elena Villalon

### References

King, Gary. Zelig: Everyones Statistical Software. http://gking.harvard.edu/zelig.

### See Also

`installed.packages` `packageDescription` `zeligDepUpdate`

### Examples

    ## find packages in all libraries currently installed
    ## Not run: zstatus <- zeligDepStatus()
    ## find packages only in lib.loc
    ## Not run: zstatus <- zeligDepStatus(lib.loc="~/.R/mylibrary")

[Package Zelig version 3.4-3 Index]